import { IGithubActionOidcFilter, type GithubActionOidcFilterProps } from "./IGithubActionOidcFilter";
export interface BranchFilterProps extends GithubActionOidcFilterProps {
    /**
     * The name of the branch to filter on. You can also use wildcards.
     *
     * To allow all branches, pass `*`.
     */
    readonly branch: string;
}
/**
 * Allow assuming a role for a specific Github branch.
 *
 * https://docs.github.com/en/actions/security-for-github-actions/security-hardening-your-deployments/about-security-hardening-with-openid-connect#filtering-for-a-specific-branch
 */
export declare class BranchFilter extends IGithubActionOidcFilter {
    private branch;
    constructor(props: BranchFilterProps);
    toSubject(): string;
}
