import { IGithubActionOidcFilter, type GithubActionOidcFilterProps } from "./IGithubActionOidcFilter";
export interface CustomFilterProps extends GithubActionOidcFilterProps {
    /**
     * The filter to apply. The construct will automatically prefix the filter with `repo:${owner}/${repository}:`.
     *
     * See https://docs.github.com/en/actions/security-for-github-actions/security-hardening-your-deployments/about-security-hardening-with-openid-connect#configuring-the-subject-in-your-cloud-provider
     */
    readonly filter: string;
}
/**
 * Allow assuming a role for a specific Github filter.
 *
 * Use this as an escape hatch if we don't expose a first-class IGithubActionOidcFilter for your use case.
 */
export declare class CustomFilter extends IGithubActionOidcFilter {
    private filter;
    constructor(props: CustomFilterProps);
    toSubject(): string;
}
