import { IGithubActionOidcFilter, type GithubActionOidcFilterProps } from "./IGithubActionOidcFilter";
export interface EnvironmentFilterProps extends GithubActionOidcFilterProps {
    /** The name of the Github environment to allow assuming this role */
    readonly environment: string;
}
/**
 * Allow assuming a role for a specific Github environment.
 *
 * https://docs.github.com/en/actions/security-for-github-actions/security-hardening-your-deployments/about-security-hardening-with-openid-connect#filtering-for-a-specific-environment
 */
export declare class EnvironmentFilter extends IGithubActionOidcFilter {
    private environment;
    constructor(props: EnvironmentFilterProps);
    toSubject(): string;
}
