import { IGithubActionOidcFilter, type GithubActionOidcFilterProps } from "./IGithubActionOidcFilter";
export interface TagFilterProps extends GithubActionOidcFilterProps {
    /**
     * The name of the tag to filter on. You can also use wildcards.
     *
     * To allow all tags, pass `*`.
     */
    readonly tag: string;
}
/**
 * Allow assuming a role for a specific Github tag.
 *
 * https://docs.github.com/en/actions/security-for-github-actions/security-hardening-your-deployments/about-security-hardening-with-openid-connect#filtering-for-a-specific-tag
 */
export declare class TagFilter extends IGithubActionOidcFilter {
    private tag;
    constructor(props: TagFilterProps);
    toSubject(): string;
}
